Index: ntent/databases/db-3.3/db-3.3-config.xml
===================================================================
--- content/databases/db-3.3/db-3.3-config.xml	(revision 71c83f300ea76c24473a02b55f819799e549d2dd)
+++ 	(revision )
@@ -1,7 +1,0 @@
-<sect2>
-<title>Configuring <application>Berkeley DB</application></title>
-
-&library-config;
-
-</sect2>
-
Index: content/databases/db-3.3/db-3.3.ent
===================================================================
--- content/databases/db-3.3/db-3.3.ent	(revision 71c83f300ea76c24473a02b55f819799e549d2dd)
+++ content/databases/db-3.3/db-3.3.ent	(revision bf7c486bbfb4f0e6e0a3a74356bd69030c9e8b24)
@@ -4,9 +4,8 @@
 <!ENTITY db-3.3-exp SYSTEM "db-3.3-exp.xml">
 <!ENTITY db-3.3-desc SYSTEM "db-3.3-desc.xml">
-<!ENTITY db-3.3-config SYSTEM "db-3.3-config.xml">
+<!ENTITY db-3.3-version "3.3.11">
+<!ENTITY db-3.3-download-http "http://www.sleepycat.com/update/snapshot/db-&db-3.3-version;.tar.gz">
+<!ENTITY db-3.3-download-ftp "ftp://ftp.pu.edu.tw/Unix/Database/BerkeleyDB/db-&db-3.3-version;.tar.gz">
+<!ENTITY db-3.3-size "2.3 MB">
 <!ENTITY db-3.3-buildsize "20.3 MB">
-<!ENTITY db-3.3-version "3.3.11">
-<!ENTITY db-3.3-download-http "http://www.sleepycat.com/update/snapshot/db-3.3.11.tar.gz">
-<!ENTITY db-3.3-download-ftp "">
-<!ENTITY db-3.3-size "2.3 MB">
 <!ENTITY db-3.3-time "0.80 SBU">
Index: content/databases/db/db.ent
===================================================================
--- content/databases/db/db.ent	(revision 71c83f300ea76c24473a02b55f819799e549d2dd)
+++ content/databases/db/db.ent	(revision bf7c486bbfb4f0e6e0a3a74356bd69030c9e8b24)
@@ -3,10 +3,10 @@
 <!ENTITY db-inst SYSTEM "db-inst.xml">
 <!ENTITY db-exp SYSTEM "db-exp.xml">
+<!ENTITY db-config SYSTEM "db-config.xml">
 <!ENTITY db-desc SYSTEM "db-desc.xml">
-<!ENTITY db-config SYSTEM "db-config.xml">
-<!ENTITY db-buildsize "27 MB">
 <!ENTITY db-version "4.1.25">
 <!ENTITY db-download-http "http://www.sleepycat.com/update/snapshot/db-&db-version;.tar.gz">
-<!ENTITY db-download-ftp "">
+<!ENTITY db-download-ftp "ftp://ftp.us.xemacs.org/pub/xemacs/aux/db-&db-version;.tar.gz">
 <!ENTITY db-size "3 MB">
+<!ENTITY db-buildsize "27 MB">
 <!ENTITY db-time "1.22 SBU">
Index: content/databases/mysql/mysql.ent
===================================================================
--- content/databases/mysql/mysql.ent	(revision 71c83f300ea76c24473a02b55f819799e549d2dd)
+++ content/databases/mysql/mysql.ent	(revision bf7c486bbfb4f0e6e0a3a74356bd69030c9e8b24)
@@ -6,8 +6,6 @@
 <!ENTITY mysql-desc SYSTEM "mysql-desc.xml">
 <!ENTITY mysql-version "4.0.15">
-<!ENTITY mysql-download-http
-"http://mysql.he.net/Downloads/MySQL-4.0/mysql-&mysql-version;.tar.gz">
-<!ENTITY mysql-download-ftp
-"ftp://mirror.mcs.anl.gov/pub/mysql/Downloads/MySQL-4.0/mysql-&mysql-version;.tar.gz">
+<!ENTITY mysql-download-http "http://mysql.he.net/Downloads/MySQL-4.0/mysql-&mysql-version;.tar.gz">
+<!ENTITY mysql-download-ftp "ftp://mirror.mcs.anl.gov/pub/mysql/Downloads/MySQL-4.0/mysql-&mysql-version;.tar.gz">
 <!ENTITY mysql-size "12 MB">
 <!ENTITY mysql-buildsize "105 MB">
Index: content/web/php/php.ent
===================================================================
--- content/web/php/php.ent	(revision 71c83f300ea76c24473a02b55f819799e549d2dd)
+++ content/web/php/php.ent	(revision bf7c486bbfb4f0e6e0a3a74356bd69030c9e8b24)
@@ -5,5 +5,5 @@
 <!ENTITY php-version "4.3.3">
 <!ENTITY php-download-http "http://us2.php.net/distributions/php-&php-version;.tar.bz2">
-<!ENTITY php-download-ftp "">
+<!ENTITY php-download-ftp "ftp://ftp.isu.edu.tw/pub/Unix/Web/PHP/distributions/php-&php-version;.tar.bz2">
 <!ENTITY php-size "3.5 MB">
 <!ENTITY php-buildsize "79 MB">
Index: content/web/proftpd/proftpd.ent
===================================================================
--- content/web/proftpd/proftpd.ent	(revision 71c83f300ea76c24473a02b55f819799e549d2dd)
+++ content/web/proftpd/proftpd.ent	(revision bf7c486bbfb4f0e6e0a3a74356bd69030c9e8b24)
@@ -3,10 +3,10 @@
 <!ENTITY proftpd-inst SYSTEM "proftpd-inst.xml">
 <!ENTITY proftpd-exp SYSTEM "proftpd-exp.xml">
+<!ENTITY proftpd-config SYSTEM "proftpd-config.xml">
 <!ENTITY proftpd-desc SYSTEM "proftpd-desc.xml">
-<!ENTITY proftpd-config SYSTEM "proftpd-config.xml">
-<!ENTITY proftpd-buildsize "6.3 MB">
 <!ENTITY proftpd-version "1.2.8p">
 <!ENTITY proftpd-download-http "">
 <!ENTITY proftpd-download-ftp "ftp://ftp.proftpd.org/distrib/source/proftpd-&proftpd-version;.tar.bz2">
 <!ENTITY proftpd-size "729 KB">
+<!ENTITY proftpd-buildsize "6.3 MB">
 <!ENTITY proftpd-time "0.26 SBU">
